//
//  BezierCurveAnimationViewController.swift
//  TinyAnimations
//
//  Created by Michael Gazzola on 9/28/14.
//  Copyright (c) 2014 Michael Gazzola. All rights reserved.
//

import UIKit

class BezierCurveAnimationViewController: BaseAnimationViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        let screenRect = UIScreen.mainScreen().bounds
        
        // Hacky transformation to a circle.
        // Make square and cut size in half.
        self.animateView.frame.size.width = self.animateView.frame.size.height / 2.0
        self.animateView.frame.size.height /= 2.0
        // Round it out to circle.
        self.animateView.layer.cornerRadius = self.animateView.frame.size.height / 2.0
        // Place on left hand side of screen.
        self.animateView.center = CGPoint(x: 25, y: CGRectGetMidY(screenRect))
    }
    
    override func animate(view: UIView) {
        let path = UIBezierPath()
        path.moveToPoint(view.center)
        
        let initialPoint = view.center
        var controlPoint1 = CGPoint(x: initialPoint.x,
                                    y: initialPoint.y - 125.0)
        var controlPoint2 = CGPoint(x: controlPoint1.x + 40.0,
                                    y: controlPoint1.y - 125.0)
        var destination = CGPoint(x: initialPoint.x + 80,
                                  y: initialPoint.y)
        
        path.addCurveToPoint(destination, controlPoint1: controlPoint1, controlPoint2: controlPoint2)
        
        controlPoint1.x += 80.0
        controlPoint2.x += 80.0
        destination.x += 80.0
        
        path.addCurveToPoint(destination, controlPoint1: controlPoint1, controlPoint2: controlPoint2)
        
        let animation = CAKeyframeAnimation(keyPath: "position")
        animation.path = path.CGPath
        animation.duration = 1.5
        view.layer.addAnimation(animation, forKey: "bezier")
        
        view.center = destination
    }

}
