//
//  MulticolorAnimationViewController.swift
//  TinyAnimations
//
//  Created by Michael Gazzola on 9/28/14.
//  Copyright (c) 2014 Michael Gazzola. All rights reserved.
//

import UIKit

class MulticolorAnimationViewController: BaseAnimationViewController {

    let useUIViewAnimations: Bool = false
    
    override func animate(view: UIView) {
        if (self.useUIViewAnimations) {
            UIView.animateWithDuration(1.0, animations: { () -> Void in
                view.backgroundColor = UIColor.orangeColor()
            }, completion: { (finished) -> Void in
                UIView.animateWithDuration(1.0, animations: { () -> Void in
                    view.backgroundColor = UIColor.yellowColor()
                }, completion: { (finished) -> Void in
                    UIView.animateWithDuration(1.0, animations: { () -> Void in
                        view.backgroundColor = UIColor.greenColor()
                    }, completion: { (finished) -> Void in
                        UIView.animateWithDuration(1.0, animations: { () -> Void in
                            view.backgroundColor = UIColor.blueColor()
                        }, completion: { (finished) -> Void in
                            UIView.animateWithDuration(1.0, animations: { () -> Void in
                                view.backgroundColor = UIColor.purpleColor()
                            }, completion: { (finished) -> Void in
                                UIView.animateWithDuration(1.0, animations: { () -> Void in
                                    view.backgroundColor = UIColor.redColor()
                                })
                            })
                        })
                    })
                })
            })
        } else {
            let animation = CAKeyframeAnimation(keyPath: "backgroundColor")
            let arrayColors: [AnyObject] = [UIColor.orangeColor().CGColor,
                                            UIColor.yellowColor().CGColor,
                                            UIColor.greenColor().CGColor,
                                            UIColor.blueColor().CGColor,
                                            UIColor.purpleColor().CGColor,
                                            UIColor.redColor().CGColor]
            animation.values = arrayColors
            animation.duration = 0.5
            animation.repeatCount = Float.infinity
            view.layer.addAnimation(animation, forKey: "MulticolorAnimation")
        }
    }
}
