//
//  TwoColorAnimationViewController.swift
//  TinyAnimations
//
//  Created by Michael Gazzola on 9/28/14.
//  Copyright (c) 2014 Michael Gazzola. All rights reserved.
//

import UIKit

class TwoColorAnimationViewController: BaseAnimationViewController {
    
    let useUIViewAnimations: Bool = false
    
    override func animate(view: UIView) {
        view.backgroundColor = UIColor.redColor()
        
        if (self.useUIViewAnimations) {
            // There are two ways to do this. The first way to do this is the
            // really simple, easy, built-in way for UIView.
            UIView.animateWithDuration(1.0, animations: { () -> Void in
                view.backgroundColor = UIColor.purpleColor()
            })
        } else {
            let animation: CABasicAnimation = CABasicAnimation(keyPath: "backgroundColor")
            animation.duration = 1.0
            animation.fromValue = UIColor.redColor().CGColor
            animation.toValue = UIColor.purpleColor().CGColor
            view.layer.addAnimation(animation, forKey: "backgroundColorFade")
            view.backgroundColor = UIColor.purpleColor()  // The animation resets the color.
        }
    }

}
