//
//  TwoPointAnimationViewController.swift
//  TinyAnimations
//
//  Created by Michael Gazzola on 9/28/14.
//  Copyright (c) 2014 Michael Gazzola. All rights reserved.
//

import UIKit

class TwoPointAnimationViewController: BaseAnimationViewController {

    let useUIViewAnimations: Bool = false
    var initialPoint: CGPoint!
    
    override func animate(view: UIView) {
        if (self.initialPoint == nil) {
            self.initialPoint = view.center
        } else {
            view.center = self.initialPoint
        }
        
        let endingPoint: CGPoint = CGPoint(x: initialPoint.x + 50,
                                           y: initialPoint.y + 50)
        
        if (self.useUIViewAnimations) {
            UIView.animateWithDuration(1.0, animations: { () -> Void in
                view.center = endingPoint
            })
        } else {
            let animation: CABasicAnimation = CABasicAnimation(keyPath: "position")
            animation.fromValue = NSValue(CGPoint: self.initialPoint)
            animation.toValue = NSValue(CGPoint: endingPoint)
            animation.duration = 1.0
            animation.timingFunction = CAMediaTimingFunction(name: kCAMediaTimingFunctionDefault)
            view.layer.addAnimation(animation, forKey: "MoveAnimation")
            view.center = endingPoint
        }
    }

}
